clear all 
clc

% 
% %1D example
% x = 0:1:10;
% f = sin(x);
% xi = 0:.1:10;
% 
% % RBF interpolation
% 
% rbf=rbfcreate(x, f);
% fi = rbfinterp(xi, rbf);
% 
% plot(x,f);
% hold on
% plot(xi,fi);

%2D example
x = -3 + 6*rand(50,1);
y = -3 + 6*rand(50,1);
z = sin(x).^3 .* cos(y);

ti = -3:.1:3;
[XI,YI] = meshgrid(ti,ti);

%Matlab interpolation
ZI = griddata(x,y,z,XI,YI,'cubic');

%RBF interpolation
rbf=rbfcreate([x'; y'], z');
ZI = rbfinterp([XI(:)'; YI(:)'], rbf);
ZI = reshape(ZI, size(XI)); 

% x0(1,1)=XI(10,10);
% x0(1,2)=YI(10,10);

[xData, yData, zData] = prepareSurfaceData( x, y, z );

[fitresult, gof] = fit( [xData, yData], zData, 'cubicinterp', 'Normalize', 'on' );

% Plot fit with data.
figure( 'Name', 'untitled fit 1' );
h = plot( fitresult, [xData, yData], zData );
hold on
scatter3(x,y,z,'MarkerFaceColor',[1 0 0],'MarkerEdgeColor',[1 0 0],...
    'Marker','x',...
    'LineWidth',10);


figure
surf(XI,YI,ZI);
hold on
scatter3(x,y,z,'MarkerFaceColor',[1 0 0],'MarkerEdgeColor',[1 0 0],...
    'Marker','x',...
    'LineWidth',10);





