close all
clear all
clc

% design variables x1=x(1), x2=x(2)

% cost function
fun=@costfun;

% starting point
x0 =1;

% lower/upper bounds for variables
lb=[];
ub=[];

%linear constraints (defined in the main script)
A = [];
b = [];
Aeq=[];
beq=[];

%nonlinear constraints (defined via an external function)
nonlcon = [];

%options
options = optimoptions('fminimax','PlotFcn','optimplotfval');

% optimization (x-->optimal point fval-->related function value)
[xopt,fval] = fminimax(fun,x0,A,b,Aeq,beq,lb,ub,nonlcon,options);

% Plot
t = linspace(-pi,pi);
plot(t,sin(t),'r-')
hold on
plot(t,cos(t),'b-');
xlim([-pi pi]);
plot(xopt(1),fval,'o', 'MarkerFaceColor','r', 'MarkerSize',10)

