close all
clear all
clc

% design variables x=x(1), y=x(2)

% cost function
fun=@costfun;

% starting point
x0 = [-1.2,1];

% lower/upper bounds for variables
lb=[];
ub=[];

%linear constraints (defined in the main script)
A=[];
b=[];
Aeq=[];
beq=[];

%nonlinear constraints (defined via an external function)
nonlcon = @constraint;

%options
alg='interior-point'; %(default)
%alg='trust-region-reflective';
%alg='sqp';
%alg='sqp-legacy';
%alg='active-set';

options = optimoptions('fmincon','Display','iter','Algorithm',alg,'PlotFcns',@optimplotfval);

tic
% optimization (x-->optimal point fval-->related function value)
[xyopt,fval] = fmincon(fun,x0,A,b,Aeq,beq,lb,ub,nonlcon,options);
toc

% Plot
figure
[x,y]=meshgrid(-2:0.1:2,-2:0.1:2);
z=100*(y-x.^2).^2 + (1-x).^2;
surf(x,y,z);
hold on
plot3(xyopt(1),xyopt(2),fval,'o', 'MarkerFaceColor','r', 'MarkerSize',10)

