close all
clear all
clc

% design variables x1=x(1), x2=x(2)
nvar=2;

% cost function
fun=@costfun;

% lower/upper bounds for variables
lb=[];
ub=[];

%linear constraints (defined in the main script)
A = [1,2];
b = 1;
Aeq=[];
beq=[];

%nonlinear constraints (defined via an external function)
nonlcon =[]; %@constraint

%options
MaxGen=200;  % if not specified --> 100*nvar
PoP_size=50; % if not specified --> 50 when nvar<= 5, 200 otherwise
MaxStallGen=50; % if not specified --> 50
Tol=1e-6; % if not specified --> 1e-6
CrossoverFrac=0.8; % if not specified --> 0.8
EliteFrac=0.05; % if not specified --> 0.05

options = optimoptions('ga','Generations',MaxGen,'PopulationSize',PoP_size,'MaxStallGenerations',MaxStallGen,'EliteCount',ceil(EliteFrac*PoP_size),...
'CrossoverFraction',CrossoverFrac,'FunctionTolerance',Tol,'PlotFcn',{@gaplotbestf});

tic
% optimization (x-->optimal point fval-->related function value)
[xyopt,fval] = ga(fun,nvar,A,b,Aeq,beq,lb,ub,nonlcon,options);
toc

% Plot
figure
[x,y]=meshgrid(-2:0.1:2,-2:0.1:2);
z=100*(y-x.^2).^2 + (1-x).^2;
surf(x,y,z);
hold on
plot3(xyopt(1),xyopt(2),fval,'o', 'MarkerFaceColor','r', 'MarkerSize',10)

