function [c,ceq] = Constraint(IN)

global Rin Rext n_t E thetamax Stress_limit

% Variables Assignment
b_Sp=IN(1);
t_Sp=IN(2);

% Calculated Spiral Start/End Angles & Pitch
alpha_Rext=n_t*2*pi;           %[rad]
p=Rext*2*pi/alpha_Rext;        %[mm]
alpha_Rin=2*pi*Rin/p;          %[rad]

% Archimede's Spiral
I_Sp=b_Sp*t_Sp^3/12;           %[mm^4]

% Stiffness Evaluation
L_tot=(p/(4*pi))*((alpha_Rext*(1+alpha_Rext^2).^0.5)+(log(alpha_Rext+(1+alpha_Rext^2)^0.5)));
L_in=(p/(4*pi))*((alpha_Rin*(1+alpha_Rin^2).^0.5)+(log(alpha_Rin+(1+alpha_Rin^2)^0.5)));
L_Sp=L_tot-L_in;

k_Sp=E*I_Sp/L_Sp;              %[Nmm/rad]


M_Sp_max=k_Sp*thetamax*pi/180;
Stress_max_Sp=6*max(M_Sp_max)/(b_Sp*t_Sp^2);

c=Stress_max_Sp-Stress_limit;
ceq = [];