clear all
clc

global Rin Rext n_t E Stress_limit thetamax k_tar 

% Input Data
% Principal Dimensions
Rin=10;                        %[mm]
Rext=50;                       %[mm]
n_t=4;

% Material Properties
E=1800;                         %[MPa]
Stress_limit=40;                %[MPa]          
                
% Maximum Rotation
thetamax=40;                    %[deg]

% Target Stiffness
k_tar=20;                       %[Nmm/rad]

% Spiral Dimension - Upper/Lower Bounds                         
b_Sp_min=2;                     %[mm]    
b_Sp_max=10;                    %[mm]
t_Sp_min=1;                     %[mm]    
t_Sp_max=3.5;                   %[mm]

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Optimization
LB = [b_Sp_min t_Sp_min];
UB = [b_Sp_max t_Sp_max];
x0=[0,0];

tic
rng default
problem = createOptimProblem('fmincon','x0',x0,'objective',@(p)Opt_Fun(p),'lb',LB,'ub',UB,'nonlcon',@(p)Constraint(p));
gs = GlobalSearch;
%ms = MultiStart;
[Opt_Var,fval]=run(gs,problem);
toc

