clear all
close all
clc

% Lower/Upper Bounds for DOE

B_min = 4.3;
B_max = 4.5;
T_min = 0.9;
T_max = 1.1;


DOE_Criterion_Selector = input ('Type 1 for Latin Hypercube, 2 for Full-Factorial, 3 for Halton: ');

% Total Samples for Latin Hypercube

N_Sampl_LH=60;

% Parameters for Full-Factorial
min_x=0;
max_x=3;
max_x_aggiust=max_x+1;
min_y=0;
max_y=3;
max_y_aggiust=max_y+1;

range_x=max_x-min_x;
range_y=max_y-min_y;

% Parameters for Halton

skip=3e3;
leap=1e5;

N_Sampl_HT=50;

if (DOE_Criterion_Selector == 1)
    
    matrix_B_T = lhsdesign(N_Sampl_LH,2);
    N_sampling=N_Sampl_LH;
end

if (DOE_Criterion_Selector == 2)
    
    fullfac=fullfact([range_x,range_y]);
    matrix_B_T(:,1)=(fullfac(:,1)-1)/(range_x-1);
    matrix_B_T(:,2)=(fullfac(:,2)-1)/(range_y-1);
    size_fullfac=size(fullfac);
    N_sampling=size_fullfac(1,1);
end
    
 if (DOE_Criterion_Selector == 3)   
     
     N_sampling=N_Sampl_HT;
     Halton= haltonset(2,'Skip',skip,'Leap',leap);
     matrix_B_T=net(Halton,N_sampling);
    
end

vector_B=zeros(1,N_sampling);                   
vector_T=zeros(1,N_sampling);                     

for y=1:1:N_sampling
    vector_B(y)=B_min+(B_max-B_min)*matrix_B_T(y,1);   
    vector_T(y)=T_min+(T_max-T_min)*matrix_B_T(y,2);   
end

% Plot

figure ('Name','Tested Samplings')
plot(vector_B,vector_T,'o')
xlim([B_min, B_max]);
ylim([T_min, T_max])
str1=sprintf('Number of samples = %d', N_sampling);
xlabel('B')
ylabel('T')
title(str1)


% Export to Excel

matrix_out(:,1)=vector_T;
matrix_out(:,2)=vector_B;

xlswrite('DOE_2var.xls',matrix_out);









